/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-25-2011 07:40:09pm
Filepath: scripts\Items\Artifacts\stealable\doom\SerpentsFang.cs
Lines of code: 42

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class SerpentsFang : Kryss
	{
		public override int LabelNumber{ get{ return 1061601; } } // Serpent's Fang

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public SerpentsFang()
		{
			ItemID = 0x1400;
			Hue = 0x488;
			WeaponAttributes.HitPoisonArea = 100;
			WeaponAttributes.ResistPoisonBonus = 20;
			Attributes.AttackChance = 15;
			Attributes.WeaponDamage = 50;
			
			AosElementDamages.Physical=25;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=75;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}

/*		public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			fire = cold = nrgy = chaos =0;
			phys = 25;
			pois = 75;
		}*/

		public SerpentsFang( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( ItemID == 0x1401 )
				ItemID = 0x1400;
		}
	}
}